From efd2043d8f55edca4f889eab6b76fc9ee6887bf9 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Fri, 14 Feb 2025 08:47:55 +1100
Subject: [PATCH v2] DOCS - pg_replication_slots. Add blank lines.

---
 doc/src/sgml/system-views.sgml | 64 +++++++++++++++++++++++++++++-------------
 1 file changed, 44 insertions(+), 20 deletions(-)

diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index be81c2b..f4dfc34 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -2384,7 +2384,10 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>plugin</structfield> <type>name</type>
       </para>
       <para>
-       The base name of the shared object containing the output plugin this logical slot is using, or null for physical slots.
+       The base name of the shared object containing the output plugin this logical slot is using.
+      </para>
+      <para>
+       Always <literal>NULL</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2404,7 +2407,10 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
       </para>
       <para>
        The OID of the database this slot is associated with, or
-       null. Only logical slots have an associated database.
+       <literal>NULL</literal>. Only logical slots have an associated database.
+      </para>
+      <para>
+       Always <literal>NULL</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2415,7 +2421,10 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
       </para>
       <para>
        The name of the database this slot is associated with, or
-       null. Only logical slots have an associated database.
+       <literal>NULL</literal>. Only logical slots have an associated database.
+      </para>
+      <para>
+       Always <literal>NULL</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2424,7 +2433,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>temporary</structfield> <type>bool</type>
       </para>
       <para>
-       True if this is a temporary replication slot. Temporary slots are
+       <literal>true</literal> if this is a temporary replication slot. Temporary slots are
        not saved to disk and are automatically dropped on error or when
        the session has finished.
       </para></entry>
@@ -2435,7 +2444,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>active</structfield> <type>bool</type>
       </para>
       <para>
-       True if this slot is currently being streamed
+       <literal>true</literal> if this slot is currently being streamed
       </para></entry>
      </row>
 
@@ -2493,7 +2502,10 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        The address (<literal>LSN</literal>) up to which the logical
        slot's consumer has confirmed receiving data. Data corresponding to the
        transactions committed before this <literal>LSN</literal> is not
-       available anymore. <literal>NULL</literal> for physical slots.
+       available anymore.
+      </para>
+      <para>
+       Always <literal>NULL</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2555,10 +2567,11 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>two_phase</structfield> <type>bool</type>
       </para>
       <para>
-       True if the slot is enabled for decoding prepared transactions.  Always
-       false for physical slots.
-      </para></entry>
-     </row>
+       <literal>true</literal> if the slot is enabled for decoding prepared transactions.
+      </para>
+      <para>
+       Always <literal>false</literal> for physical slots.
+      </para></entry>     </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
@@ -2568,6 +2581,8 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
         The time when the slot became inactive. <literal>NULL</literal> if the
         slot is currently being streamed. If the slot becomes invalid,
         this value will never be updated.
+      </para>
+      <para>
         Note that for slots on the standby that are being synced from a
         primary server (whose <structfield>synced</structfield> field is
         <literal>true</literal>), the <structfield>inactive_since</structfield>
@@ -2586,10 +2601,13 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>conflicting</structfield> <type>bool</type>
       </para>
       <para>
-       True if this logical slot conflicted with recovery (and so is now
-       invalidated). When this column is true, check
+       <literal>true</literal> if this logical slot conflicted with recovery (and so is now
+       invalidated). When this column is <literal>true</literal>, check
        <structfield>invalidation_reason</structfield> column for the conflict
-       reason. Always <literal>NULL</literal> for physical slots.
+       reason.
+      </para>
+      <para>
+       Always <literal>NULL</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2630,9 +2648,12 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>failover</structfield> <type>bool</type>
       </para>
       <para>
-       True if this is a logical slot enabled to be synced to the standbys
+       <literal>true</literal> if this is a logical slot enabled to be synced to the standbys
        so that logical replication can be resumed from the new primary
-       after failover. Always false for physical slots.
+       after failover.
+      </para>
+      <para>
+       Always <literal>false</literal> for physical slots.
       </para></entry>
      </row>
 
@@ -2641,12 +2662,15 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>synced</structfield> <type>bool</type>
       </para>
       <para>
-       True if this is a logical slot that was synced from a primary server.
-       On a hot standby, the slots with the synced column marked as true can
-       neither be used for logical decoding nor dropped manually. The value
+       <literal>true</literal> if this is a logical slot that was synced from a primary server.
+       On a hot standby, the slots with the synced column marked as <literal>true</literal> can
+       neither be used for logical decoding nor dropped manually.
+      </para>
+      <para>
+       The value
        of this column has no meaning on the primary server; the column value on
-       the primary is default false for all slots but may (if leftover from a
-       promoted standby) also be true.
+       the primary is default <literal>false</literal> for all slots but may (if leftover from a
+       promoted standby) also be <literal>true</literal>.
       </para></entry>
      </row>
 
-- 
1.8.3.1

